@flagTop: rgb(236, 32, 32);
@flagCenter: rgb(238, 238, 11);
@flagBottom: rgb(5, 197, 5);
@intersectionColor: linear-gradient(red, yellow, green, yellow, red);
@tableclothPositions: 1, 3, 5;
@intersectionsPosition: 1, 2, 4, 5;

.gridposition(@positionX, @positionY, @color) {
	grid-column-start: @positionX;
	grid-row-start: @positionY;
	background-color: @color;
}

.gridposition2(@positionX, @positionY) {
	grid-column-start: @positionX;
	grid-row-start: @positionY;
}

.setGradientPosition(@to) {
	background-image: linear-gradient(if(@to = "right", to right, to bottom),  red, yellow, green, yellow, red);
}

each(@tableclothPositions, .(@rvalue, @rkey, @rindex) {
	each(@tableclothPositions, .(@cvalue, @ckey, @cindex) {
		.tablecloth--@{rvalue}@{cvalue} {
			.gridposition(
				@cvalue, 
				@rvalue, 
				if(
					@rvalue = 1, 
					@flagTop, 
					if(
						@rvalue = 3, 
						@flagCenter, 
						@flagBottom 
					)
				)
			);
		}
	});
});

each(@intersectionsPosition, .(@rvalue, @rkey, @rindex) {
	each(@intersectionsPosition, .(@cvalue, @ckey, @cindex) {
		.tableCloth__intersection--@{rvalue}@{cvalue} when not (@rvalue = @cvalue) {
			.setGradientPosition(if(@rvalue < 2 or @rvalue > 4, "right", "top"));
			.gridposition2(@cvalue, @rvalue);
		}
	});
});

.tablecloth__center {
	background-image: repeating-radial-gradient(red 8.9%, yellow 13%, green 33%);
	grid-column-start: 2;
	grid-column-end: 5;
	grid-row-start: 2;
	grid-row-end: 5;
}